﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# ERICSSON THE GUARD
image guard idling = "jailguard idle.png"
image guard laugh = "jailguard condescending.png"
image guard angry = "jailguard angry.png"

# JEAN THE TRAP CELLMATE
image jean confused = "cellmate confused.png"
image jean idling = "cellmate idle.png"
image jean laugh = "cellmate laugh.png"
image jean shocked = "cellmate shocked.png"
image jean shout = "cellmate shout.png"
image jean smug = "cellmate smug.png"



# Declare characters used by this game.
# define e = Character('Eileen', color="#c8ffc8")

define jean = Character('Jean')
define guard = Character('Jailguard')
define RPs = Character('Random Guy')


# The game starts here.
label start:
   
    scene black
    with fade
    
    "{b}RETRIBUTION{/b} - n."
    "'Punishment inflicted on someone as vengeance for a wrong or criminal act.'"
    "'Retribution may also refer to retributive justice, a theory of justice that considers proportionate punishment an acceptable response to crime.'"
    
    "Appropriate for a criminal deemed by society like me, don't you think?"
    "This rehabilitation camp or whatever they call it."
    "I keep telling them the truth, and they wouldn't believe me."
    "They keep telling me that I'm some spy of some sort..."
    "That I was hired to spread lies about the new government."
    "They decided to make me shut up by throwing me in this new supposedly new, good project for everyone."
    "This so-called rehabilitative 'The Retribution Project'."
    "Supposed to be the answer to government threats who wouldn't shut up like me..."
    "Or the usual juvenile delinquent who doesn't know when the right time for curfew is..."
    "They keep talking about this project like it's some miracle blessing from up above."
    "In reality, it's not, you know?"
    "The things you see on TV?"
    "Bullshit."
    "Lies."
    "Sugarcoated to make the general public feel safe."
    "This program isn't some therapeutic process that they advertise and wave around in everyone's stupid flat screen TVs."
    "I should know."
    "It's been 5 fucking years since they hauled my ass here and became one of the human guinea pigs."
    "But then again, being in this project..."
    "What's the difference btween being human and a guinea pig?"
    "Sure you get food, go out for small periods of time, get to interact with the other guinea pigs..."
    "But where's the real essence of humanity there?"
    "Where's the freedom?"
    "The freedom of being able to do what you want, within realistic set boundaries."
    "Being able to choose what you say, how you act, what you do."
    "Some might say having boundaries restricts humanity from achieving true freedom."
    "But if you ask me?"
    "Reasonable, realistic boundaries can help us avoid the always looming question of 'what do we do now?'"
    "These boundaries help form our choices."
    "And these choices, in turn, help form--"
    "--or destroy--"
    "--the person we are today."
    
    with hpunch
    
    "A loud voice from outside your small room interrupts what you were doing."
    
    show guard angry
    guard "Hey, convict!"
    guard "Get your ass up!"
    guard "It's 5:30 in the morning!!"
    "The guard opens the door with a loud BANG!"
    guard "Hey, Convict!"
    
    show guard laugh
    guard "Well, you know, I can't exactly keep calling you 'Convict' the entire time..."
    guard "So..."

    $ player_name = renpy.input("What's yer name, Convict? \n <Enter name here>")
    $ player_name = player_name.strip()
    
# The .strip() instruction removes any extra spaces the player 
# may have typed by accident.

#  If the player can't be bothered to choose a name, then we
#  choose a suitable one for them:
    if player_name == "":
        $ player_name="Adrian"

    guard "Well, good morning to you too, %(player_name)s!"
    guard "The name's Yosuke."
    guard "I'm your buddyguard for the meantime."
    "Ericsson shoves a long piece of paper at you."
    "Printed on it was your schedule for today."
    guard "Also, you're getting transferred to Block I today."
    player_name "Block I?"
    guard "Yep!"
    guard "Them higher ups reshuffled the room assignments."
    guard "What a huge pain in the ass that was, making sure the paired idiots won't kill each other."
    player_name "I... See."
    guard "You should go on and head to your new room before breakfast."
    "The guard then leaves you to your now old room, grinning."
    guard "And try not to kill your roommate before breakfast, okay?"
    player_name "...Fine."
    
    "You then decide to pack what little belongings you have, tidy up your old room and proceed to Block I."
    
label scene1:
    "As you enter the room carrying your bag of belongings, you already see someone casually lounging on the top bunk of the bed."
    "You couldn't exactly figure out if your roommate is male or female, though..."
    
    menu:
        
        "...I'm pretty sure they assigned me to a male roommate, right...?":
            jump rightguess
            
        "You're a girl....?":
            jump wrongguess
            
label rightguess:
    "Your roommate grins at your answer."
    jean "Amazing!!"
    jean "You managed to get it corretly in one go!!"
    jean "How did you know?"
    "You shrug."
    player_name "I... just do I guess."
    
    jump jeanintro
    
    return
    
label wrongguess:
    "Your roommate just laughs."
    player_name "Did I say somethng wrong?"
    jean "It's nothing, it's nothing!"
    jean "It's just that, it's a common mistake people do."
    jean "I'm a 100 percent biological male, complete with all bits and bobs!"
    "You nod at him, not particularly sure on what to feel on what he just declared."
    
    jump jeanintro
    
    return
    
label jeanintro:
    jean "So, anyway!"
    jean "I should formally introduce myself."
    jean "Name's Jean Mercado, here for several counts of reckless driving, driving while intoxicated, possession of illegal--"
    player_name "You sure are a handful, aren't you?"
    player_name "Those are pretty heavy when stacked, how come you're here and not in jail?"
    "Jean scratches his head in an awkward fashion."
    jean "Well, I managed to strike a compromise with the guy who caught me...."
    jean "If I do good and stay out of trouble for 6 months and possibly get along with the possible roommates I share the room with..."
    jean "They'll make it a point to release me AND my roommate as soon as possible!"
    "You nod."
    player_name "So basically, what you're saying is that we're both each others' ticket to the outside world permanently, am I right?"
    jean "Yep!"
    player_name "Well..."
    
    menu:
        
        "I suppose you're not alone in this trip then.":
            jump yes
            
        "You're going to do your mission of goodwill alone.":
            jump no
            
label no:
    "Jean looked shocked."
    jean "But... Why!?"
    jean "Don't you want to get out of this place?!"
    player_name "Don't get me wrong, I do, kid."
    player_name "But in all honesty..."
    
    menu:
        
        "I don't think I'll ever get the chance to get out.":
            jump cantgetout
            
        "I don't think you can get me out.":
            jump assholemc

label cantgetout:
    player_name "I've been here for years."
    player_name "I more or less have an idea on how the minds of the people behind this farce work."
    player_name "If they don't like you, or you don't give them a reason to, they wouldn't let you out."
    player_name "You could pretty much say the same for most, if not all government institutions."
    player_name "You basically buy your way in the inner circles."
    "Jean looked flabbergasted."
    jean "But... but..."
    jean "They promised me..."
    player_name "Look, newbie, just drop it for now."
    jean "Okay..."
    player_name "Let's go have breakfast."
    player_name "All that unpacking made me hungry."
    
    jump breakfast
    
    return
    
label assholemc:
    player_name "Frankly, I don't know you."
    player_name "You don't know me that much as well."
    player_name "What you're not telling could mean trouble from the two of us."
    player_name "So I highly suggest that you do your own mission of goodwill alone."
    player_name "By yourself."
    player_name "And I'll try to get out of this godforsaken hellhole by myself, by my own means."
    player_name "Even if it means blowing this shithole up 'til the heavens above."
    "Jean was stunned."
    jean "I see...."
    jean "You do have a valid point...."
    "There was an awkward silence between the of you."
    player_name "Let's go have breakfast."
    player_name "All that unpacking made me hungry."
    
    jump breakfast
     
    return
    
label yes:
    
    player_name "Maybe if we try playing the good guys this time around..."
    player_name "Maybe we {i}will{/i} have a chance of getting out."
    "Jean looked ecstatic."
    "He held out his hand for you to shake."
    jean "Then I suppose we'll be the best of friends then--"
    player_name "Wait, wait, wait."
    player_name "{i}Personal space{/i}."
    player_name "I like my personal space, alright?"
    player_name "No need to get all touchy-feely."
    "Jean nodded."
    "Suddenly, both your and Jean's stomachs growled loudly."
    player_name "Let's go have breakfast."
    player_name "All that unpacking made me hungry."
    
    jump breakfast
    
    return
            

label breakfast:
    
    #insert Mess hall pic here
    jean "So, what did you get?"
    "You look at him with confusion."
    player_name "What do you mean {i}'What did you get'{/i}?"
    player_name "Everybody here gets the same thing."
    "Jean looks at you, confused."
    jean "Really? I thought that everybody could choose?"
    
    menu:
        
        "What made you think of that?":
            jump StupidQuestionsAnswer
        
        "'How do you even come up with those thoughts?'":
            jump StupidQuestionsAnswer
    
    
label StupidQuestionsAnswer:
    
    jean "I dunno..."
    jean "I've always thought that this was like the one in those T.V. shows?"
    jean "Anyways...."
    jean "..."
    jean "Damn, I i forgot what I was about to say!"
    "He looked as if he was having a hard time thinking."
    jean "Right!"
    jean "Do you play any games?"
    jean "I like to pass the time by playing games just like that game from ATLUS that was about some guy......"
    "Jean continued talking about a game that involved {i}Other Selves{/i} and going inside a TV to fight monsters and so on."
    #yosuke's shameless plug
    
    jump CourtyardTime001
    
    return
    
label CourtyardTime001:
    
    #insert Courtyard pic here
    player_name "This is the Courtyard."
    player_name "This is where-"
    jean "This place is {i}Small{/i}, isn't it?"
    jean "I watched some documentaries and they showed it a lot bigger than this."
    "You coughed loudly."
    player_name "As I was saying, this place is where we interact with the other people."
    "Suddenly, some guys who were leaning on the wall near them approached them."
    RPs "Hey!"
    RPs "I didn't know that we had a new girl here..."
    "The guy leaned at Jean with a malicious smirk."
    RPs "What's your name newbie?"
    "They step a little bit closer to him."
    
    menu:
        
        "Do nothing":
            jump jeanIntruduced2RPs
            
        "Stop them from advancing":
            jump MCRPangrytalk
            
label jeanIntruduced2RPs:

    jean "I'm Jean!"
    jean "And, yeah, I'm new here."
    jean "How about you?"
    "They suddenly surrounded Jean."
    RPs "What do you say to you visiting me an hour later in my Room in I-69?"
    jean "What's gonna happen if i come?"
    RPs "Let's just say you're not gonna regret it, babe."
    
    menu:
        "Still Do Nothing":
            jump Badend
            
        "Stop them from advancing":
            jump MCRPangrytalk
        
label MCRPangrytalk:
    
    player_name "I suggest you guys stop."
    player_name "Just go ahead and pretend nothing happened."
    player_name "We'll go away, and everything that happened here stays here."
    "You take Jean by the shoulders and proceeded to shove him back to the room."
    RPs "Hey!"
    RPs "You forgot something."
    "You turned around."
    player_name "What?"
    "The guy suddenly punches you!"
    
    jump RegainConsciuosness
    
label RegainConsciuosness:
    
    #insert room pic here
    player_name "....."
    "You feel very stiff, your joints sore and your face feels puffy."
    player_name ".....hhhhhhnnnnngggggg...."
    "You try to speak but..."
    player_name "Why does my jaw hurt?"
    player_name "....."
    player_name "Dammit..."
    player_name "The asshole punched me!"
    
    menu:
        
        "Where's Jean?":
            jump jeancomesback
            
        "I wanna go out and get revenge.":
            jump getrevenge
    
    
label jeancomesback:
        
    "You hear a loud noise outside your room."
    "The door opened - it reveals Jean as he closes the door."
    jean "OH!"
    jean "YOU'RE AWAKE!"
    "He then proceeds to tell you what happened after you got knocked out."
    jean "--outed and ran away to find the nearest guard. when we came back they were already nowhere to be seen."
    jean "So... are you OK? Does it still hurt?"
    player_name "I'm alright."
    player_name "...though my jaw still hurts and that I might be only eating porridge for the next few days."
    player_name "It hurts like a bitch"
    jean "Hahahahaha!"
    "you seem to be caught up on the sound of Jean's laughter that you started to laugh as well."
    player_name "If the days continue on like this, we might just be able to get out of here within the 6 months."
    player_name "Hopefully, alive."
    
    jump GoodEnd
    
    return

label GoodEnd:

    # insert room pic here
    "SIX MONTHS LATER"
    guard "Knock knock Bruhs"
    "You and Jean get up from your beds and faced Yosuke, who was casually leaning on the door."
    player_name "Why're you here?"
    player_name "Isn't it a bit too early for the wake up call?"
    "Jean yawns."
    jean "yh-*yawns*-eaahhh..."
    jean "The sun's just coming out..."
    guard "Oh so you dont wan't to hear the news?"
    "Yosuke grins."
    guard "It's very important news."
    guard "Very Important."
    player_name "Tell us!"
    player_name "So we could get back to sleeping faster."
    guard "Okay. Well the good News is that I have some papers here addressed to you guys with 'Release' in it."
    "You and Jean sat up, startled."
    guard "The bad news is that its still missing some signatures..."
    guard "{b}YOURS{/b}."
    guard "Though clearly you guys are still sleepy so I'm just gonna return these forms back to--"
    player_name "Wait.... What?!"
    jean "....we're getting released...."
    jean "we're getting released"
    jean "{b}WE'RE GETTING RELEASED!!!!!{/b}"
    "They began to sign their names on their respective release forms."
    guard "Now get packing, you two!"
    guard "Ill see you outside."
    "Jean faced %(player_name)s."
    jean "We really did it!!"
    player_name "I guess we did."
    jean "Let's meet again outside, okay?"
    player_name "Yeah..."
    player_name "I'd like that."
    
    return
    
label getrevenge:
    
    "You sneak out of the room and went to that guy's room"
    # insert Couryard pic here
    "You meet him outside of the courtyard to his friends"
    player_name "{b}HEY YOU{/b}"
    RPs "Well if it isn't Sleeping Beauty"
    player_name "Don't call me that"
    RPs "Why not? You just got punched once but then you slept like baby"
    RPs "Isn't that right Boys?"
    RPs "If you're angrY Why dont we Fight face to face? It's not like it'll make a difference"
    "You Quickly lost your Temper because of his last words and punched him in the face"
      
    jump Badend
    
label Badend:
        
    "A Brawl started with you and Rehab Patient in the middle, leading the fight"
    "After a wwhile some of the Guards noticed it and then proceeded to end the fight"
    "after the fight both you and Rehab Patient got reprimanded and was moved to the special isolation rooms"
    "Six Moths Later"
    "there was a knock on the Door"
    guard "%(player_name)s !!! thought you should know"
    guard "Your former roommate John something--"
    player_name ".....Jean Mercado..."
    guard "Yeah him they realeased him just this morning. I just thought you should know."
        
    return
    
    